import request from '@/utils/request'

// 查询客户管理列表
export function listSapCustomer(query) {
  return request({
    url: '/sapCustomer/sapCustomer/list',
    method: 'get',
    params: query
  })
}

// 查询客户管理详细
export function getSapCustomer(customerId) {
  return request({
    url: '/sapCustomer/sapCustomer/' + customerId,
    method: 'get'
  })
}

// 新增客户管理
export function addSapCustomer(data) {
  return request({
    url: '/sapCustomer/sapCustomer',
    method: 'post',
    data: data
  })
}

// 修改客户管理
export function updateSapCustomer(data) {
  return request({
    url: '/sapCustomer/sapCustomer',
    method: 'put',
    data: data
  })
}

// 删除客户管理
export function delSapCustomer(customerId) {
  return request({
    url: '/sapCustomer/sapCustomer/' + customerId,
    method: 'delete'
  })
}
